#!/bin/sh
#250108 sfs
# Определяем имя Wi-Fi интерфейса
WIFI_INTERFACE=$(iwconfig 2>/dev/null | awk '/ESSID:/ {print $1}')

if [ -z "$WIFI_INTERFACE" ]; then
    echo "Wi-Fi interface not found"
    exit 1
else
    # Проверяем наличие активного проводного соединения
    if ip link show | grep -v "${WIFI_INTERFACE}:" | grep -q "state UP"; then
        echo "Wired connection is active. Stopping iwd.service."
        systemctl stop iwd.service
        exit 1
    fi

    # Поднимаем Wi-Fi интерфейс
#    ifconfig $WIFI_INTERFACE up
fi
