#!/bin/sh
#250112 sfs
export TEXTDOMAINDIR=/usr/share/locale
export TEXTDOMAIN=waylogout

waylogout \
--selection-label \
--rows=1 \
--fade-in=1 \
--hide-cancel \
--screenshots \
--effect-blur=10x8 \
\
--indicator-thickness=20 \
--ring-color=888888aa \
--inside-color=88888866 \
--text-color=eaeaeaaa \
--line-color=00000000 \
--ring-selection-color=33cc33aa \
--inside-selection-color=33cc3366 \
--text-selection-color=eaeaeaaa \
--line-selection-color=00000000 \
\
--lock-label=$(gettext "lock") \
--lock-command="swaylock-f.sh" \
\
--logout-label=$(gettext "logout") \
--logout-command="loginctl terminate-user $USER" \
--logout-symbol= \
\
--suspend-label=$(gettext "suspend") \
--suspend-command="systemctl suspend" \
\
--poweroff-label=$(gettext "poweroff") \
--poweroff-command="shutdown --poweroff now" \
\
--reboot-command="systemctl reboot"

#--fa-font="FontAwesome" \

#https://fontdrop.info/
#/usr/share/fonts/opentype/font-awesome/FontAwesome.otf 
# echo -e "\uf13e"
#
# echo -e "\uf08b"
#
# echo -e "\uf186"
#
# echo -e "\uf011"
#
# echo -e "\uf01e"
#
